package com.huimv.admin.service;

import com.huimv.admin.common.utils.Result;
import com.huimv.admin.entity.BasePigpen;
import com.baomidou.mybatisplus.extension.service.IService;
import com.huimv.admin.entity.dto.BasePigpenDto;

import java.util.Map;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author author
 * @since 2023-02-13
 */
public interface IBasePigpenService extends IService<BasePigpen> {

    Result list(String farmCode, String buildName, String stageCode,String type);

    Result addPigpen(BasePigpenDto basePigpenDto);

    Result updatePigpen(BasePigpen basePigpen);

    Result deletePigpen(Map<String, Integer> map);
}
